%Store data and make it unit length
function net = NN_KDE_Train(data, labels)

norm_data = sqrt(sum(data .^ 2, 1));
norm_data(norm_data == 0) = 1;
if max(abs(norm_data - 1)) > 1e-5
    %only make unit length if necessary
    data = bsxfun(@rdivide, data, norm_data);
end

net.W = data';
net.W_Class = labels;
net.num_classes = max(labels);