function Pretty_Display(h, img, normalize, allow_stretching)

if ~exist('normalize', 'var')
    normalize = false;
end

if ~exist('allow_stretching', 'var')
    allow_stretching = false;
end

if normalize    
   img = img - min(img(:));
   img = img ./ max(img(:));
end

%imagesc(img, 'Parent', h);
% h_axis = get(h, 'UserData');
% 
% if isempty(h_axis)
%     h_axis = imagesc(img, 'Parent', h);
% else
%     try
%         set(h_axis, 'CData', img);
%     catch
%         h_axis = imagesc(img, 'Parent', h);
%     end
% end
% 
% set(h, 'UserData', h_axis);
h_axis = imagesc(img, 'Parent', h);    

if ~allow_stretching
    set(h, 'PlotBoxAspectRatioMode', 'auto', 'PlotBoxAspectRatio', [1, 1, 1], 'DataAspectRatioMode', 'manual', 'DataAspectRatio', [1, 1, 1]);
end

set(h, 'XTickLabel', [], 'YTickLabel', [], 'XTick', [], 'YTick', []);
